VCS: git  
Dependency Management:maven  
IDE:IntelliJ IDEA  Community  

setting IDE code style:    
import dble_IntelliJ.xml into IntelliJ

![codestyle](./codestyle.png)
 
 

Checkstyle Plugin: check before commit  

setting:  
![checkstyle](./checkstyle.png)

FindBugs-IDEA(Now its name is SpotBugs):check before commit  

setting:  
![findbugs](./findbugs.png)  


copy config files to target before build( FOR windows )  

![copyResource1](./copyResource1.png)  

![copyResource2](./copyResource2.png)

cor opy config files to target before build( FOR macOS )

![copyResource3](./copyResource3.png)

![copyResource4](./copyResource4.png)






 